Bug 1121174

Summary: SELinux is preventing /usr/bin/mpd from 'unix_write' accesses on the shared memory .
Product: [Fedora] Fedora Reporter: Vadim Raskhozhev <iamdexpl>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: dominick.grift, dwalsh, iamdexpl, lvrabec, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:afa1a32f09daffb8658416f348d168daf48323f0f6226434a2ec5569e3dbe4df
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:38:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Vadim Raskhozhev 2014-07-18 14:41:22 UTC
Description of problem:
SELinux is preventing /usr/bin/mpd from 'unix_write' accesses on the shared memory .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that mpd should be allowed unix_write access on the  shm by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep output /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:mpd_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                 [ shm ]
Source                        output
Source Path                   /usr/bin/mpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mpd-0.18-0.1.git0e0be02.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-176.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.15.4-200.fc20.x86_64 #1 SMP Mon
                              Jul 7 14:24:41 UTC 2014 x86_64 x86_64
Alert Count                   7
First Seen                    2014-07-11 00:25:15 MSK
Last Seen                     2014-07-18 15:46:56 MSK
Local ID                      fe0a1b9a-41d5-481d-8ff5-1d5a34f7bf43

Raw Audit Messages
type=AVC msg=audit(1405684016.0:4326): avc:  denied  { unix_write } for  pid=1059 comm="output" key=1024  scontext=system_u:system_r:mpd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=shm


type=SYSCALL msg=audit(1405684016.0:4326): arch=x86_64 syscall=shmget success=yes exit=2129932 a0=400 a1=1e8 a2=3b6 a3=0 items=0 ppid=1 pid=1059 auid=4294967295 uid=990 gid=988 euid=990 suid=990 fsuid=990 egid=988 sgid=988 fsgid=988 tty=(none) ses=4294967295 comm=output exe=/usr/bin/mpd subj=system_u:system_r:mpd_t:s0 key=(null)

Hash: output,mpd_t,unconfined_t,shm,unix_write

Additional info:
reporter:       libreport-2.2.2
hashmarkername: setroubleshoot
kernel:         3.15.4-200.fc20.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2014-07-21 10:03:46 UTC
What does

# ps -efZ |grep mpd

Comment 2 Vadim Raskhozhev 2014-07-21 10:09:01 UTC
└► ps -efZ | grep mpd
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 dexpl 2072 1  0 июл19 ? 00:00:00 /bin/bash /home/dexpl/bin/mpd_pause_on_screensaver.sh
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 dexpl 2086 2072  0 июл19 ? 00:00:00 /bin/bash /home/dexpl/bin/mpd_pause_on_screensaver.sh
system_u:system_r:mpd_t:s0      mpd       5466     1  0 июл20 ?     00:16:02 /usr/bin/mpd --no-daemon
system_u:system_r:init_t:s0     mpdscri+  5467     1  0 июл20 ?     00:00:01 /usr/bin/mpdscribble --no-daemon --pidfile /var/run/mpdscribble/mpdscribble.pid
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 dexpl 32414 5320  0 14:07 pts/4 00:00:00 grep --color=auto mpd

Comment 3 Fedora End Of Life 2015-05-29 12:24:28 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:38:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.